## org.apache.catalina.ha
Class ClusterMessageBase

    java.lang.Object
      org.apache.catalina.ha.ClusterMessageBase

All Implemented Interfaces:
  java.io.Serializable, ClusterMessage

Direct Known Subclasses:
  FileMessage, SessionIDMessage, SessionMessageImpl

    public class ClusterMessageBase

extends java.lang.Object
implements ClusterMessage

Title:

Description:

Company:

Version:
  1.0
Author:
  not attributable
See Also:
  Serialized Form

Field Summary
`protected Member` `address`

Constructor Summary
`ClusterMessageBase()`

Method Summary
`Member` `getAddress()` getAddress
`long` `getTimestamp()`
`java.lang.String` `getUniqueId()`
`void` `setAddress(Member member)` setAddress
`void` `setTimestamp(long timestamp)`
`void` `setUniqueId(java.lang.String uniqueId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### address

    protected transient Member address

Constructor Detail

### ClusterMessageBase

    public ClusterMessageBase()

Method Detail

### getAddress

    public Member getAddress()

  getAddress

  Specified by:
    `getAddress` in interface `ClusterMessage`
  Returns:
    Member

### getUniqueId

    public java.lang.String getUniqueId()

  Specified by:
    `getUniqueId` in interface `ClusterMessage`

### getTimestamp

    public long getTimestamp()

  Specified by:
    `getTimestamp` in interface `ClusterMessage`

### setAddress

    public void setAddress(Member member)

  setAddress

  Specified by:
    `setAddress` in interface `ClusterMessage`
  Parameters:
    `member` - Member

### setUniqueId

    public void setUniqueId(java.lang.String uniqueId)

  Specified by:
    `setUniqueId` in interface `ClusterMessage`

### setTimestamp

    public void setTimestamp(long timestamp)

  Specified by:
    `setTimestamp` in interface `ClusterMessage`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.